
%global meadversion 8.11.2
%global namedversion 8.11.2.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package lucene-solr}
%{!?scl:%global pkg_name %{name}}

%define maven_version 8.11.2.redhat-00001

Name:           %{?scl_prefix}lucene-solr
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Lucene Core and Apache Solr
Group:          Development/Java

%if %with mead
Source100: lucene-solr-grandparent-8.11.2.redhat-00001-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            http://lucene.apache.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Lucene is a Java full-text search engine.  Lucene is not a complete
application, but rather a code library and API that can easily be used
to add search capabilities to applications.

%package -n %{?scl_prefix}lucene-core
Summary:        Lucene Core
Group:          Development/Java


%description -n %{?scl_prefix}lucene-core
Apache Lucene Java Core.

%package -n %{?scl_prefix}lucene-backward-codecs
Summary:        Lucene Memory
Group:          Development/Java


%description -n %{?scl_prefix}lucene-backward-codecs
Codecs for older versions of Lucene.

%package -n %{?scl_prefix}lucene-analyzers-common
Summary:        Lucene Common Analyzers
Group:          Development/Java


%description -n %{?scl_prefix}lucene-analyzers-common
Additional Analyzers.

%package -n %{?scl_prefix}lucene-facet
Summary:        Lucene Facets
Group:          Development/Java


%description -n %{?scl_prefix}lucene-facet
Package for Faceted Indexing and Search.

%package -n %{?scl_prefix}lucene-join
Summary:        Lucene Join
Group:          Development/Java


%description -n %{?scl_prefix}lucene-join
Package for Lucene Join.

%package -n %{?scl_prefix}lucene-misc
Summary:        Lucene Miscellaneous
Group:          Development/Java


%description -n %{?scl_prefix}lucene-misc
Miscellaneous Lucene extensions.

%package -n %{?scl_prefix}lucene-queries
Summary:        Lucene Queries
Group:          Development/Java


%description -n %{?scl_prefix}lucene-queries
Lucene Queries Module.

%package -n %{?scl_prefix}lucene-queryparser
Summary:        Lucene QueryParsers
Group:          Development/Java


%description -n %{?scl_prefix}lucene-queryparser
Lucene QueryParsers module.

%package -n %{?scl_prefix}lucene-grouping
Summary:        Collectors for grouping search results
Group:          Development/Java


%description -n %{?scl_prefix}lucene-grouping
Collectors for grouping search results.

%prep
%setup -q -n lucene-solr-grandparent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/lucene-analyzers-common-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-analyzers-common-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-analyzers-common-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-analyzers-common-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-analyzers-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-analyzers-common-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/lucene-backward-codecs-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-backward-codecs-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-backward-codecs-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-backward-codecs-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-backward-codecs-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-backward-codecs-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/lucene-core-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/lucene-facet-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-facet-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-facet-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-facet-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-facet-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-facet-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/lucene-join-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-join-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-join-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-join-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-join-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-join-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/lucene-misc-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-misc-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-misc-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-misc-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-misc-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-misc-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/lucene-queries-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-queries-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-queries-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-queries-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-queries-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-queries-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/lucene-queryparser-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-queryparser-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-queryparser-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-queryparser-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-queryparser-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-queryparser-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/lucene-grouping-%{namedversion}.jar %{buildroot}%{_javadir}/lucene-grouping-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/lucene-grouping-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/lucene-grouping-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/lucene-grouping-%{namedversion}-sources.jar %{buildroot}%{_javadir}/lucene-grouping-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
#%%doc ../lucene/LICENSE.txt ../lucene/README.txt

%files -n %{?scl_prefix}lucene-core
%defattr(0644,root,root,0755)
#%%doc ../lucene/LICENSE.txt ../lucene/README.txt
%{_javadir}/lucene-core-%{namedversion}.jar
%{_javadir}/lucene-core.jar
%if %with javadoc
%{_javadir}/lucene-core-%{namedversion}-javadoc.jar
%{_javadir}/lucene-core-javadoc.jar
%endif
%{_javadir}/lucene-core-%{namedversion}-sources.jar
%{_javadir}/lucene-core-sources.jar

%files -n %{?scl_prefix}lucene-backward-codecs
%defattr(0644,root,root,0755)
%{_javadir}/lucene-backward-codecs-%{namedversion}.jar
%{_javadir}/lucene-backward-codecs.jar
%if %with javadoc
%{_javadir}/lucene-backward-codecs-%{namedversion}-javadoc.jar
%{_javadir}/lucene-backward-codecs-javadoc.jar
%endif
%{_javadir}/lucene-backward-codecs-%{namedversion}-sources.jar
%{_javadir}/lucene-backward-codecs-sources.jar

%files -n %{?scl_prefix}lucene-analyzers-common
%defattr(0644,root,root,0755)
#%%doc ../lucene/analysis/common/README.txt
%{_javadir}/lucene-analyzers-common-%{namedversion}.jar
%{_javadir}/lucene-analyzers-common.jar
%if %with javadoc
%{_javadir}/lucene-analyzers-common-%{namedversion}-javadoc.jar
%{_javadir}/lucene-analyzers-common-javadoc.jar
%endif
%{_javadir}/lucene-analyzers-common-%{namedversion}-sources.jar
%{_javadir}/lucene-analyzers-common-sources.jar

%files -n %{?scl_prefix}lucene-facet
%defattr(0644,root,root,0755)
%{_javadir}/lucene-facet-%{namedversion}.jar
%{_javadir}/lucene-facet.jar
%if %with javadoc
%{_javadir}/lucene-facet-%{namedversion}-javadoc.jar
%{_javadir}/lucene-facet-javadoc.jar
%endif
%{_javadir}/lucene-facet-%{namedversion}-sources.jar
%{_javadir}/lucene-facet-sources.jar

%files -n %{?scl_prefix}lucene-join
%defattr(0644,root,root,0755)
%{_javadir}/lucene-join-%{namedversion}.jar
%{_javadir}/lucene-join.jar
%if %with javadoc
%{_javadir}/lucene-join-%{namedversion}-javadoc.jar
%{_javadir}/lucene-join-javadoc.jar
%endif
%{_javadir}/lucene-join-%{namedversion}-sources.jar
%{_javadir}/lucene-join-sources.jar

%files -n %{?scl_prefix}lucene-misc
%defattr(0644,root,root,0755)
#%%doc ../lucene/misc/README.txt
%{_javadir}/lucene-misc-%{namedversion}.jar
%{_javadir}/lucene-misc.jar
%if %with javadoc
%{_javadir}/lucene-misc-%{namedversion}-javadoc.jar
%{_javadir}/lucene-misc-javadoc.jar
%endif
%{_javadir}/lucene-misc-%{namedversion}-sources.jar
%{_javadir}/lucene-misc-sources.jar

%files -n %{?scl_prefix}lucene-queries
%defattr(0644,root,root,0755)
%{_javadir}/lucene-queries-%{namedversion}.jar
%{_javadir}/lucene-queries.jar
%if %with javadoc
%{_javadir}/lucene-queries-%{namedversion}-javadoc.jar
%{_javadir}/lucene-queries-javadoc.jar
%endif
%{_javadir}/lucene-queries-%{namedversion}-sources.jar
%{_javadir}/lucene-queries-sources.jar

%files -n %{?scl_prefix}lucene-queryparser
%defattr(0644,root,root,0755)
#%%doc ../lucene/queryparser/docs/surround/README.txt
%{_javadir}/lucene-queryparser-%{namedversion}.jar
%{_javadir}/lucene-queryparser.jar
%if %with javadoc
%{_javadir}/lucene-queryparser-%{namedversion}-javadoc.jar
%{_javadir}/lucene-queryparser-javadoc.jar
%endif
%{_javadir}/lucene-queryparser-%{namedversion}-sources.jar
%{_javadir}/lucene-queryparser-sources.jar

%files -n %{?scl_prefix}lucene-grouping
%defattr(0644,root,root,0755)
%{_javadir}/lucene-grouping-%{namedversion}.jar
%{_javadir}/lucene-grouping.jar
%if %with javadoc
%{_javadir}/lucene-grouping-%{namedversion}-javadoc.jar
%{_javadir}/lucene-grouping-javadoc.jar
%endif
%{_javadir}/lucene-grouping-%{namedversion}-sources.jar
%{_javadir}/lucene-grouping-sources.jar

%changelog
* Thu Feb 01 2024 Permaine Cheung <pcheung@redhat.com> - 8.11.2-2.redhat_00001.1
- Wrapper build 8.11.2.redhat-00001

* Fri Sep 08 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.11.2-1.redhat_00001.1
- Built by CPaaS

* Tue Oct 11 2022 cpaas-ops <cpaas-ops@redhat.com> - 8.11.1-2.redhat_00002.1
- Built by CPaaS

* Fri Sep 09 2022 cpaas-ops <cpaas-ops@redhat.com> - 8.11.1-1.redhat_00001.1
- Built by CPaaS

* Wed Aug 24 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.5.5-2.redhat_2.1
- Built by CPaaS

* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.5.5-1.redhat_2.1
Built by CPaaS
